#include <iostream>
#include <vector>

int main() {
	std::ios_base::sync_with_stdio(false);
	std::cin.tie(nullptr);
	int n;
	std::cin >> n;
	std::vector<int> w(n);
	for (int i = 0; i < n; i++) {
		std::cin >> w[i];
	}
	long long min = 0;
	long long max = 0;
	for (int i = 0; i < n; i++) {
		for (int j = i; j < n; j++) {
			long long sum = 0;
			for (int k = i; k <= j; k++) {
				if (k % 2 == 0)
					sum += w[k];
				else
					sum -= w[k];
			}
			if (sum < min)
				min = sum;
			if (sum > max)
				max = sum;
		}
	}
	std::cout << max << '\n' << -min << '\n';
	return 0;
}
